
using System.Windows.Forms;

namespace ReportViewer
{
    /// <summary>
    /// 
    /// </summary>
    public partial class ReportViewerWeb : Form
    {
        /// <summary>
        /// Expose the Web Browser
        /// </summary>
        public WebBrowser WebBrowser
        {
            get { return webBrowser1; }
            set { webBrowser1 = value; }
        }

        /// <summary>
        /// Initialize ReportViewerWeb Component
        /// </summary>
        public ReportViewerWeb()
        {
            InitializeComponent();
        }

        /// <summary>
        /// override the Show form as we need to know if we are going to display the information or not depending on the configuration
        /// </summary>
        public new virtual void Show()
        {
            if (Constants.VIEW_WEB_REPORT)
            {
                base.Show();
            }
            else
            {
                return;
            }
        }
    }
}